#Chapter 12: Non-Parametric tests
#Chi-Square Goodness of Fit test
#Read in the data
observed_1 <- c(35, 27, 13)  #Observed frequencies
#Perform chi-square goodness-of-fit test
gof_result <- chisq.test(observed_1, p = c(1/3, 1/3, 1/3))
#Get the result of the test
print(gof_result)

#Chi-square test
# Create a matrix representing the observed frequencies
observed_2 <- matrix(c(15, 12, 5, 8), nrow = 2, byrow = TRUE)
rownames(observed_2) <- c("No Eating Disorder", "Eating Disorder")
colnames(observed_2) <- c("Boys", "Girls")
# Perform chi-square test
chi_square_result <- chisq.test(observed_2, correct=FALSE)
#Get the result of the test
print(chi_square_result)

#Distribution-free tests
#Mann-Whitney
method <- c(1,2,2,1,2,1,2,2,2,1,2,1,1,2,2,1,2,1,1,2,2,2,1,1,1,1)
placing <- c(1:26)
#Run Mann-Whitney U test
wilcox.test(placing ~ method, paired = FALSE)

#Note: Mann-Whitney test provides different W result to SPSS (due to differences in how R and SPSS calculate the test)
#To align with SPSS, use this formula:
#SPSS value = N1*N2-R value
#In our case, there are 2 groups of 13, so:
spss_w = (13*13)-106 #our obtained value
#Get value, which you will see is the value produced by SPSS (63)
print(spss_w)