#Chapter 8: One-sample t-test
#enter the data
single_sample_c8_data <- data.frame(participant = c (1:10), test_score = c(18,22,30,28,25,22,24,25,27,29))
#Run the one-sample t-test
t.test (single_sample_c8_data$test_score, mu = 20, var.equal = TRUE)


#Paired samples/Within-participants t-test
#enter the  data
within_participants_c8_data <- data.frame(participant = c (1:7), rate_i =	c(7,6,5,6,5,7,3), rate_n = c(6,6,2,4,3,5,5))
#Run the within-participants t-test
t.test(within_participants_c8_data$rate_i,within_participants_c8_data$rate_n, paired = TRUE,var.equal = TRUE)

#Independent samples/Between-participants t-test
#enter the data
between_participants_c8_data <- data.frame(participant = 1:20, attractiveness = c(4, 5, 7, 8, 6, 9, 7, 8, 5, 5, 4, 4, 6, 5, 7, 3, 4, 2, 5, 4), condition = c(rep('experimental', 10), rep('control', 10)))
#Run the between-participants t-test
t.test(attractiveness ~ condition, data = between_participants_c8_data, var.equal = TRUE)

#Testing equality of variance: Running a Levene's Test
#Download the car package
install.packages("car")
#Load the car package
library(car)
#Run the Levene's test
leveneTest(attractiveness ~ condition, data = between_participants_c8_data)
